Package picard.cmdline.argumentcollections

# Class RequiredReferenceArgumentCollection

java.lang.Object
picard.cmdline.argumentcollections.RequiredReferenceArgumentCollection

All Implemented Interfaces:
  `ReferenceArgumentCollection`

public class RequiredReferenceArgumentCollection extends Object implements ReferenceArgumentCollection
Argument collection for references that are required (and not common).

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`REFERENCE_SEQUENCE`

## Constructor Summary

Constructors
Constructor
Description
`RequiredReferenceArgumentCollection()`

## Method Summary

Modifier and Type
Method
Description
`File`
`getReferenceFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### REFERENCE_SEQUENCE

@Argument(shortName="R", doc="Reference sequence file.", common=false) public File REFERENCE_SEQUENCE

## Constructor Details

### RequiredReferenceArgumentCollection

public RequiredReferenceArgumentCollection()

## Method Details

### getReferenceFile

public File getReferenceFile()

Specified by:
  `getReferenceFile` in interface `ReferenceArgumentCollection`
Returns:
  The reference provided by the user.